<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list;
    String page_number = pub.trimNull(request.getParameter("page_number"));
    if ("".equals(page_number)) page_number = "1";
    String page_size = pub.trimNull(request.getParameter("page_size"));
    if ("".equals(page_size)) page_size = "10";
    String phone = pub.trimNull(request.getParameter("phone"));
    String status = pub.trimNull(request.getParameter("status"));
    String end_num = pub.trimNull(request.getParameter("end_num"));
    String end_num_rule = pub.trimNull(request.getParameter("end_num_rule"));
    List list_s = new ArrayList();
    try {
        StringBuffer sb = new StringBuffer();
        sb.append("select t1.phone,t1.dept_id,t1.user_dept_name,t1.status,t1.user_name from tp_phone_info t1" +
                " left join tp_special_num_rules t2 on t1.rule_id=t2.id  " +
                "  where 1=1 ");
        if(!"".equals(phone)){
            sb.append(" and t1.phone like ?");
            list_s.add(phone+"%");
        }
        if(!"".equals(status)){
            sb.append(" and t1.status = ?");
            list_s.add(status);
        }
        if(!"".equals(end_num)){
            sb.append(" and right(t1.phone,?)=?");
            list_s.add(end_num.length());
            list_s.add(end_num);
        }
        if(!"".equals(end_num)){
            sb.append(" and right(t1.phone,?)=?");
            list_s.add(end_num.length());
            list_s.add(end_num);
        }
        if(!"".equals(end_num_rule)){
            sb.append(" and t2.end_num_rules = ?");
            list_s.add(end_num_rule);
        }
        System.out.println(sb.toString());
        conn = com.censoft.db.DBUtil.getConnection();
        v_list = cf.doPageQueryWithCount(conn, sb.toString(), page_number, page_size, null, list_s.toArray());
        if (v_list == null) {
            out.println("查询特殊号码出错" + cf.getMsg());
            return;
        }
        Hashtable ht_row = (Hashtable) v_list.get(0);
        String rowCnt = pub.trimNull((String) ht_row.get("ROWCOUNT"));
%>
<style>
    .btn-red{ background-color:red;border: red}
</style>
<div>
    <a class="btn btn-primary radius" onclick="updateStatus('0');" >
        一键启用
    </a>
    <a class="btn btn-primary radius btn-red" onclick="updateStatus('4');" >
        一键禁用
    </a>
</div>
<form  method="post" id="phone_list" name="phone_list">
    <div class="table-list" style="height:480px;">
        <table class="table  table-hover table-bg">
            <thead>
            <tr class="text-c">
                <th width="30">
                    <input id="checkboxAll" type="checkbox" onclick="checkAll(this);"></input>
                </th>
                <th width="30px">序号</th>
                <th width="200px">号码</th>
                <th width="50px">尾号（显示4位）</th>
                <th width="50px">操作</th>
            </tr>
            </thead>
            <tbody>
            <%
                if (v_list != null && v_list.size() > 0) {
                    for (int i = 1; i < v_list.size(); i++) {
                        Hashtable ht = (Hashtable) v_list.get(i);
                        String phone_view = pub.trimNull((String) ht.get("phone"));
                        String status_view = pub.trimNull((String) ht.get("status"));
                        String end_phone=phone_view.substring(4,8);

            %>
            <tr <%if(i%2==0){%>id="tr_doub"<%}else{%>id="tr_single"<%}%> class="text-c">
                <td >
                    <input type="checkbox" class="info" id="phone_view"
                           name="phone_view" value="<%=phone_view%>" />
                </td>
                <td><%=i%>
                </td>
                <td><%=phone_view%>
                </td>
                <td><%=end_phone%>
                </td>
                <td>

                    <%if("0".equals(status_view)){%>
                        <a  href="javascript:void(0);" onclick="controlStatus('<%=phone_view%>','4');" class="btn btn-primary radius btn-red" style="height:22px;line-height:13px;padding:3px 10px;" >
                            <i class="Hui-iconfont">禁用</i>
                        </a>
                    <%}else{%>
                        <a  href="javascript:void(0);" onclick="controlStatus('<%=phone_view%>','0');" class="btn btn-success radius" style="height:22px;line-height:13px;padding:3px 10px;" >
                            <i class="Hui-iconfont">启用</i>
                        </a>
                    <%}%>
                </td>
            </tr>
            <%
                    }
                }
            %>
            </tbody>
        </table>
    </div>
</form>
<jsp:include page="/common/page_ajax.jsp" >
    <jsp:param name="page_number" value="<%=page_number%>" />
    <jsp:param name="rowCnt" value="<%=rowCnt%>" />
    <jsp:param name="page_size" value="<%=page_size%>" />
</jsp:include>
<script type="text/javascript">
    var checkAll = function (checkbox) {
        $(".info").prop("checked", checkbox.checked);
    }
</script>
<%
    } catch (Exception e) {
        out.println("查询特殊号码异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>